Bug 984632 (CVE-2013-4123)

Summary: CVE-2013-4123 squid: Denial of service when processing specially-crafted HTTP requests (SQUID-2013:3)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: henrik, jonathansteffan, mluscon, thozza, vdanen, vkrizan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130713,reported=20130713,source=internet,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-5/squid=notaffected,rhel-6/squid=notaffected,rhel-7/squid=notaffected,fedora-all/squid=affected
Fixed In Version: Squid 3.2.13, Squid 3.3.8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-08 17:19:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 984639, 984642    
Bug Blocks: 983666    

Description Jan Lieskovsky 2013-07-15 11:16:12 EDT
A denial of service flaw was found in the way Squid, the proxy caching server, used to process port specific information, present in the HTTP Host: header of certain HTTP requests. A remote attacker could provide a specially-crafted HTTP request that, when processed would lead to Squid daemon termination (denial of service).

External References:

http://www.squid-cache.org/Advisories/SQUID-2013_3.txt
Comment 1 Jan Lieskovsky 2013-07-15 11:25:05 EDT
Upstream patches:
[1] http://www.squid-cache.org/Versions/v3/3.2/changesets/squid-3.2-11826.patch
    (against the 3.2.x branch)

[2] http://www.squid-cache.org/Versions/v3/3.3/changesets/squid-3.3-12591.patch
    (against the 3.3.x branch)
Comment 2 Jan Lieskovsky 2013-07-15 11:26:33 EDT
This issue did not affect the versions of the squid package, as shipped with Red Hat Enterprise Linux 5 and 6 (as they did not introduce the vulnerable code part yet).

--

This issue affects the versions of the squid package, as shipped with Fedora release of 17, 18, and 19. Please schedule an update.
Comment 5 Jan Lieskovsky 2013-07-15 11:31:12 EDT
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 984642]
Comment 7 Fedora Update System 2013-08-02 17:49:13 EDT
squid-3.2.13-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-02 17:53:02 EDT
squid-3.2.13-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.